Subject: Re: [PATCH net-next 0/2] bonding: extend round-robin mode

From: Jay Vosburgh <[email-masked]>
Date: Wed, 06 Nov 2013 08:55:49 -0800

Nikolay Aleksandrov <[email-masked]> wrote:

>This small patchset adds a new option called packets_per_slave to the
>bonding which aims to extend round-robin mode with the following effects:
>0 - choose the slave id at random
>1 - packet per slave (standard round-robin, default option value)
> >1 - transmit >1 packets per slave, switch the slaves in round-robin
>Patch02 adds a description for the new option to the bonding documentation.

	Could you explain why this is useful?  My guess is that you're
trying to synchronize with the packet receive processing of a peer
(perhaps for GRO?), but I think it would be useful to explain the
utility of this.

	-J

---
	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]